/* ***********************IMPORTANT *********************************************
 *  Copyright (C) 2004-2006 Thierry Lagarde <tlagarde@users.sourceforge.net>
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *
 *                      ********************
 *
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *
 *                      ********************
 *
 *
 * You are highly encouraged to send your changes to <tlagarde@users.sourceforge.net>
 * for possible incorporation into the main distribution.
 * By sending these changes to <tlagarde@users.sourceforge.net>,
 * it is assumed that you are offering <tlagarde@users.sourceforge.net>
 * the unlimited, non-exclusive right to reuse, modify, and relicense the code.
 *
 *
 *                      ********************
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 **************************************************************************************/
#include "Fournisseur.h"
#include "Debug.h"

void Creer_Liste_Fournisseur ()
{
	FILE     *Fichier_MacListe = NULL;
	struct struct_MacListe *Mac = NULL;
	char      buf[512];

	if ((Fichier_MacListe = fopen ("/usr/share/apps/AutoScan/Mac", "r")) == NULL)
		debug_printf (INTERFACE, D_ERRO, __FILE__, __PRETTY_FUNCTION__, __LINE__, "%s", strerror (errno));
	GList_Fournisseur = NULL;
	while (fgets (buf, sizeof (buf), Fichier_MacListe)) {
		Mac = (struct struct_MacListe *) malloc (sizeof (struct struct_MacListe));
		ERROR_if (Mac  == NULL);
		bzero (Mac, sizeof (struct struct_MacListe));	
		strncpy (Mac->MAC, buf, 8);
		Mac->MAC[8] = '\0';	
		
		
		Mac->Constructeur = strdup (buf + 9);
		Mac->Constructeur[strlen (Mac->Constructeur) - 1] = 0;	
		GList_Fournisseur = g_list_append (GList_Fournisseur, Mac);
	}
	debug_printf (INTERFACE, D_INFO, __FILE__, __PRETTY_FUNCTION__, __LINE__, "Creation de la liste des Adresses MAC (%d adresses MAC trouvees)\n", g_list_length (GList_Fournisseur));
	fclose (Fichier_MacListe);
}
