/* ***********************IMPORTANT *********************************************
 *  Copyright (C) 2004-2006 Thierry Lagarde <tlagarde@users.sourceforge.net>
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *
 *                      ********************
 *
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *
 *                      ********************
 *
 *
 * You are highly encouraged to send your changes to <tlagarde@users.sourceforge.net>
 * for possible incorporation into the main distribution.
 * By sending these changes to <tlagarde@users.sourceforge.net>,
 * it is assumed that you are offering <tlagarde@users.sourceforge.net>
 * the unlimited, non-exclusive right to reuse, modify, and relicense the code.
 *
 *
 *                      ********************
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 **************************************************************************************/
#include <sys/types.h>
#include <sys/stat.h>
#include <unistd.h>
#include <string.h>
#include <stdio.h>

#include <bonobo.h>
#include <gnome.h>

#include "Bulle_Network_Interface.h"
#include "Root_Interface.h"

void create_Bulle_Reseau (void)
{
	Bulle_Reseau = gtk_window_new (GTK_WINDOW_TOPLEVEL);
	gtk_window_set_title (GTK_WINDOW (Bulle_Reseau), "Network");
	gtk_window_set_position (GTK_WINDOW (Bulle_Reseau), GTK_WIN_POS_MOUSE);
	gtk_window_set_resizable (GTK_WINDOW (Bulle_Reseau), FALSE);
	gtk_window_set_skip_taskbar_hint (GTK_WINDOW (Bulle_Reseau), TRUE);
	gtk_window_set_skip_pager_hint (GTK_WINDOW (Bulle_Reseau), TRUE);
	gtk_window_set_type_hint (GTK_WINDOW (Bulle_Reseau), GDK_WINDOW_TYPE_HINT_TOOLBAR);
	gtk_window_set_transient_for (GTK_WINDOW (Bulle_Reseau), GTK_WINDOW (window_root));
	
	vbox_Bulle_Reseau = gtk_vbox_new (FALSE, 3);
	gtk_widget_show (vbox_Bulle_Reseau);
	gtk_container_add (GTK_CONTAINER (Bulle_Reseau), vbox_Bulle_Reseau);

	hbox_Network_Name = gtk_hbox_new (TRUE, 0);
	gtk_widget_show (hbox_Network_Name);
	gtk_box_pack_start (GTK_BOX (vbox_Bulle_Reseau), hbox_Network_Name, FALSE, FALSE, 0);
	gtk_container_set_border_width (GTK_CONTAINER (hbox_Network_Name), 3);

	label_Network_Name_label = gtk_label_new (_("Name : "));
	gtk_widget_show (label_Network_Name_label);
	gtk_box_pack_start (GTK_BOX (hbox_Network_Name), label_Network_Name_label, FALSE, FALSE, 0);

	label_Network_Name = gtk_label_new (_("Local network"));
	gtk_widget_show (label_Network_Name);
	gtk_box_pack_start (GTK_BOX (hbox_Network_Name), label_Network_Name, FALSE, FALSE, 0);

	hbox_Network_Interface = gtk_hbox_new (TRUE, 0);
	gtk_widget_show (hbox_Network_Interface);
	gtk_box_pack_start (GTK_BOX (vbox_Bulle_Reseau), hbox_Network_Interface, TRUE, FALSE, 0);
	gtk_container_set_border_width (GTK_CONTAINER (hbox_Network_Interface), 3);

	label_Network_Interface_label = gtk_label_new (_("Interface : "));
	gtk_widget_show (label_Network_Interface_label);
	gtk_box_pack_start (GTK_BOX (hbox_Network_Interface), label_Network_Interface_label, FALSE, FALSE, 0);

	label_Network_Interface = gtk_label_new (_("eth0 : 192.168.55.1"));
	gtk_widget_show (label_Network_Interface);
	gtk_box_pack_start (GTK_BOX (hbox_Network_Interface), label_Network_Interface, FALSE, FALSE, 0);

	hbox_Network_Localisation = gtk_hbox_new (TRUE, 0);
	gtk_widget_show (hbox_Network_Localisation);
	gtk_box_pack_start (GTK_BOX (vbox_Bulle_Reseau), hbox_Network_Localisation, TRUE, TRUE, 0);
	gtk_container_set_border_width (GTK_CONTAINER (hbox_Network_Localisation), 3);

	label_Network_Localisation_label = gtk_label_new (_("localisation : "));
	gtk_widget_show (label_Network_Localisation_label);
	gtk_box_pack_start (GTK_BOX (hbox_Network_Localisation), label_Network_Localisation_label, FALSE, FALSE, 0);

	label_Network_Localisation = gtk_label_new (_("Localhost"));
	gtk_widget_show (label_Network_Localisation);
	gtk_box_pack_start (GTK_BOX (hbox_Network_Localisation), label_Network_Localisation, FALSE, FALSE, 0);

	hbox_Network_Equipment = gtk_hbox_new (TRUE, 0);
	gtk_widget_show (hbox_Network_Equipment);
	gtk_box_pack_start (GTK_BOX (vbox_Bulle_Reseau), hbox_Network_Equipment, TRUE, TRUE, 0);
	gtk_container_set_border_width (GTK_CONTAINER (hbox_Network_Equipment), 3);

	label_Network_Equipement_label = gtk_label_new (_("Equipement : "));
	gtk_widget_show (label_Network_Equipement_label);
	gtk_box_pack_start (GTK_BOX (hbox_Network_Equipment), label_Network_Equipement_label, FALSE, FALSE, 0);

	label_Network_Equipement = gtk_label_new (_("0"));
	gtk_widget_show (label_Network_Equipement);
	gtk_box_pack_start (GTK_BOX (hbox_Network_Equipment), label_Network_Equipement, FALSE, FALSE, 0);
}
