/* ***********************IMPORTANT *********************************************
 *  Copyright (C) 2004-2006 Thierry Lagarde <tlagarde@users.sourceforge.net>
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *
 *                      ********************
 *
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *
 *                      ********************
 *
 *
 * You are highly encouraged to send your changes to <tlagarde@users.sourceforge.net>
 * for possible incorporation into the main distribution.
 * By sending these changes to <tlagarde@users.sourceforge.net>,
 * it is assumed that you are offering <tlagarde@users.sourceforge.net>
 * the unlimited, non-exclusive right to reuse, modify, and relicense the code.
 *
 *
 *                      ********************
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 **************************************************************************************/
#ifndef         __MODULE_SAMBA
#define         __MODULE_SAMBA
#include "Objet.h"

enum enum_Fichier {
	ERREUR = 0,
	FICHIER,
	REPERTOIRE
};


struct struct_Partage_Monter {
	gchar    *Nom_Equipement;
	gchar    *Nom_Partage;
};

GList    *Partage_Monter;

void      Copie_Fichier_Samba (gchar * Source, gchar * Repertoire_Destination);
void      Destruction_Repertoire_Samba (struct Struct_Modele_Objet *Objet);
void      Creation_Repertoire_Samba ();
void      Destruction_Fichier_Samba (struct Struct_Modele_Objet *Objet);
gboolean  Supprimer_Fichier_Samba (gchar * fichier);
void      Creation_Fichier_Samba ();
gboolean  Creer_Fichier_Samba (gchar * fichier);
void      Termine_Renommer_Nom_Repertoire_Samba (gpointer * pointer, gchar * Nouveau_Nom);
void      Termine_Renommer_Nom_Fichier_Samba (gpointer * pointer, gchar * Nouveau_Nom);
void      Affiche_Menu_Samba (gpointer * pointer, GdkEventButton * bev);
void      Demonte_Tout_Partage ();
void      Rafraichir_Samba (gpointer * pointer);
void      Monte_Partage (char *Nom_Equipement, char *Nom_Partage);
void      Init_Liste_Partage_Monter ();
void      Initialisation_Module_Samba ();
gboolean  Affiche_Liste_Partage_Samba (char *Chemin_Partage);
void      Double_Clic_Partage (gpointer * pointer);
void      Double_Clic_Repertoire (gpointer * pointer);
void      Double_Clic_Fichier (gpointer * pointer);
void      Chargement_Icone_Et_Extension_Samba ();
void      Copie_Icone_Partage (gpointer * pointeur);
void      Connection_Samba ();
#endif
