/* ***********************IMPORTANT *********************************************
 *  Copyright (C) 2004-2006 Thierry Lagarde <tlagarde@users.sourceforge.net>
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *
 *                      ********************
 *
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *
 *                      ********************
 *
 *
 * You are highly encouraged to send your changes to <tlagarde@users.sourceforge.net>
 * for possible incorporation into the main distribution.
 * By sending these changes to <tlagarde@users.sourceforge.net>,
 * it is assumed that you are offering <tlagarde@users.sourceforge.net>
 * the unlimited, non-exclusive right to reuse, modify, and relicense the code.
 *
 *
 *                      ********************
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 **************************************************************************************/
#ifndef         __OBJET_LISTE
#define         __OBJET_LISTE


enum {
	COL_ICON_LIST = 0,
	COL_TEXT_LIST,
	COLUMN_EDITABLE_LIST,
	POINTER_LIST,	
	FOREGROUND_TEXT_LIST,
	BOLD_TEXT_LIST,	
	COL_IS_DIRECTORY_LIST,
	NUM_COLS_LIST
};


enum {
	COL_ICON_EQUIPEMENT = COL_ICON_LIST,
	COL_TEXT_EQUIPEMENT = COL_TEXT_LIST,
	COLUMN_EDITABLE_EQUIPEMENT = COLUMN_EDITABLE_LIST,
	POINTER_EQUIPEMENT = POINTER_LIST,	
	FOREGROUND_TEXT_EQUIPEMENT = FOREGROUND_TEXT_LIST,	
	BOLD_TEXT_EQUIPEMENT = BOLD_TEXT_LIST,
	COL_IS_DIRECTORY_EQUIPEMENT = COL_IS_DIRECTORY_LIST,
	HOSTNAME,		
	NOTIFICATION,		
	OS,
	NUM_COLS_EQUIPEMENT
};


GtkWidget *scrolledwindow_Liste;
void      Detruire_Liste (GtkWidget * Liste_A_Detruire);
void      source_drag_data_get (GtkWidget * widget_source, GdkDragContext * context, GtkSelectionData * selection_data, guint info, guint time, gpointer data);
gboolean  Souris_Sort_Liste (GtkWidget * widget, GdkEventCrossing * event, gpointer user_data);
gboolean  Selectionne (GtkWidget * widget, GdkEventButton * event, gpointer user_data);
void      Double_Clic (GtkTreeView * tree_view, GtkTreePath * path, GtkTreeViewColumn * column, gpointer data);
void      Edit_Texte (GtkCellRendererText * cell, const gchar * path_new, const gchar * new_text, gpointer data);
gint      sort_func (GtkTreeModel * model, GtkTreeIter * a, GtkTreeIter * b, gpointer user_data);
GtkWidget *Create_Liste (gboolean TRIER, gboolean Selection_Multiple, gboolean Drag_Drop_Send, gboolean Drag_Drop_Recev);
GtkWidget *Create_Liste_Equipement ();
#endif
