/* ***********************IMPORTANT *********************************************
 *  Copyright (C) 2004-2006 Thierry Lagarde <tlagarde@users.sourceforge.net>
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *
 *                      ********************
 *
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *
 *                      ********************
 *
 *
 * You are highly encouraged to send your changes to <tlagarde@users.sourceforge.net>
 * for possible incorporation into the main distribution.
 * By sending these changes to <tlagarde@users.sourceforge.net>,
 * it is assumed that you are offering <tlagarde@users.sourceforge.net>
 * the unlimited, non-exclusive right to reuse, modify, and relicense the code.
 *
 *
 *                      ********************
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 **************************************************************************************/
#include <gnome.h>
#include <sys/types.h>
#include <signal.h>
#include "Quit.h"
#include "Module_Samba.h"
#include "Declaration_Constante.h"
#include "Interface/Root_Interface.h"
#include "Applet.h"
#include "Sound.h"
#include "Debug.h"


void Control_C (int sig)
{
	printf ("(Control_C)\n");
	Arret_Utilisateur ();
}

void Initialisation_signaux ()
{
	signal (SIGINT, Control_C);
}

void Arret_Utilisateur ()
{
	Demonte_Tout_Partage ();
	destruction_applet_icone ();
	gtk_widget_hide_all (window_root);
	Arreter_Tous_Les_Agents ();
	printf ("Stopping %s (http://AutoScan.free.fr) %s\n", VERSION_AUTOSCAN, version_compiled);
	gtk_main_quit ();
}

void Arret_Erreur ()
{
	destruction_applet_icone ();
	gtk_widget_hide_all (window_root);
	Arreter_Tous_Les_Agents ();
	printf ("Stopping %s (http://AutoScan.free.fr) %s\n", VERSION_AUTOSCAN, version_compiled);
	Demonte_Tout_Partage ();
	gtk_main_quit ();
}
