/* ***********************IMPORTANT *********************************************
 *  Copyright (C) 2004-2006 Thierry Lagarde <tlagarde@users.sourceforge.net>
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *
 *                      ********************
 *
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *
 *                      ********************
 *
 *
 * You are highly encouraged to send your changes to <tlagarde@users.sourceforge.net>
 * for possible incorporation into the main distribution.
 * By sending these changes to <tlagarde@users.sourceforge.net>,
 * it is assumed that you are offering <tlagarde@users.sourceforge.net>
 * the unlimited, non-exclusive right to reuse, modify, and relicense the code.
 *
 *
 *                      ********************
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 **************************************************************************************/
#ifndef         __RESEAU
#define         __RESEAU

#include <gnome.h>

#include "Equipement.h"



enum enum_Liste {
	LISTE_ERREUR = 0,
	LISTE_MACHINE,
	LISTE_INFO,
	LISTE_MODULE
};



struct Struct_Liste_Reseau {
	gchar    *Nom_Complet_Reseau;	
	gchar    *Nom_Reseau;
	gchar    *Icone_Reseau;
	gchar    *Interface;
	gchar    *Ip;
	gchar    *Communaute_Snmp;
	int       Id_Reseau;
	gint      Pid_Agent;
	gint      ID_Derniere_Liste_Selectionner;	
	GtkWidget *Liste_Equipement;	
	gboolean  Mode_Liste_Detaille;
	GList    *GList_Liste_Equipement;
	
	GList    *GList_Liste_Info;
	
	GList    *GList_Liste_Module;
	GList    *GList_Alerte;	
	GList    *GList_Rafraichissement;	
	GList    *GList_Test_Etat;	
	gint      Octet_Envoyer;
	gint      Octet_Recu;
	gint      Nb_Equipement;	
	gint      Nb_Equipement_En_Cours_De_Scan;	
	gint      Nb_Equipement_En_Attente_De_Scan;	
	gint      Octet_Envoyer_Agent;	
	gint      Octet_Recu_Agent;	
	gchar    *User_Nessus;
	gchar    *Password_Nessus;
	gchar    *IP_Nessus;
	gboolean  Alert_Intrusion;
	GtkWidget *scrollwin;	
	GdkPixmap *pixmap;
	GtkWidget *drawingarea1;
	GList    *Glist_Subnet_Equipement;
};

gint      ID_Reseau_En_Cours;	
GList    *GList_Liste_Reseau;	
gint      Genere_ID_Reseau;	
struct Struct_Liste_Reseau *Reseau_Selectionner;

void      Affiche_Info_Reseau (struct Struct_Liste_Reseau *Reseau);
void      Arreter_Tous_Les_Agents ();
void      Initialisation_Variable_Reseau ();
void      Afficher_Liste_Reseau ();
struct Struct_Liste_Reseau *Recupere_Pointeur_Structure_Reseau (gint ID_Reseau);
gboolean  Recherche_Si_Reseau_Existe_Deja (gchar * Nom_Complet_Reseau);
struct Struct_Liste_Reseau *Creation_Structure_Nouveau_Reseau (gchar * Nom_Complet_Reseau, gchar * Nom_Reseau, gchar * Interface, gchar * Ip, gchar * Communaute_Snmp);
struct Struct_Liste_Reseau *Creation_Nouveau_Reseau (gchar * Nom_Reseau, gchar * Interface, gchar * Ip, gchar * Communaute_Snmp, gchar * Icon);
struct Struct_Liste_Reseau *Recupere_Pointeur_Reseau_Selectionner (GtkWidget * scrollwin);
void      Copie_Subnet (struct Struct_Liste_Reseau *Reseau, GList * Glist);
#endif
