/* ***********************IMPORTANT *********************************************
 *  Copyright (C) 2004-2006 Thierry Lagarde <tlagarde@users.sourceforge.net>
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *
 *                      ********************
 *
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *
 *                      ********************
 *
 *
 * You are highly encouraged to send your changes to <tlagarde@users.sourceforge.net>
 * for possible incorporation into the main distribution.
 * By sending these changes to <tlagarde@users.sourceforge.net>,
 * it is assumed that you are offering <tlagarde@users.sourceforge.net>
 * the unlimited, non-exclusive right to reuse, modify, and relicense the code.
 *
 *
 *                      ********************
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 **************************************************************************************/
#include <gnome.h>

#include "Copie_Fichier_Callbacks.h"
#include "Copie_Fichier_Interface.h"
#include "../Declaration_Constante.h"
#include "Root_Interface.h"

void create_window_Copie_Fichiers (void)
{
	window_Copie_Fichiers = gtk_window_new (GTK_WINDOW_TOPLEVEL);
	gtk_window_set_title (GTK_WINDOW (window_Copie_Fichiers), _("Copy in progress"));
	gtk_window_set_position (GTK_WINDOW (window_Copie_Fichiers), GTK_WIN_POS_CENTER_ON_PARENT);
	gtk_window_set_modal (GTK_WINDOW (window_Copie_Fichiers), TRUE);
	gtk_window_set_resizable (GTK_WINDOW (window_Copie_Fichiers), FALSE);
	gtk_window_set_transient_for (GTK_WINDOW (window_Copie_Fichiers), GTK_WINDOW (window_root));
	window_Copie_Fichiers_icon_pixbuf = gdk_pixbuf_new_from_file (PATH_ICONE "/AutoScan.png",NULL);
	if (window_Copie_Fichiers_icon_pixbuf) {
		gtk_window_set_icon (GTK_WINDOW (window_Copie_Fichiers), window_Copie_Fichiers_icon_pixbuf);
		gdk_pixbuf_unref (window_Copie_Fichiers_icon_pixbuf);
	}
	
	vbox_Copie_Fichier = gtk_vbox_new (FALSE, 5);
	gtk_widget_show (vbox_Copie_Fichier);
	gtk_container_add (GTK_CONTAINER (window_Copie_Fichiers), vbox_Copie_Fichier);

	label_Copie_Fichier_Source = gtk_label_new (_("Source :"));
	gtk_widget_show (label_Copie_Fichier_Source);
	gtk_box_pack_start (GTK_BOX (vbox_Copie_Fichier), label_Copie_Fichier_Source, FALSE, FALSE, 11);

	label_Copie_Fichier_Destination = gtk_label_new (_("Destination : "));
	gtk_widget_show (label_Copie_Fichier_Destination);
	gtk_box_pack_start (GTK_BOX (vbox_Copie_Fichier), label_Copie_Fichier_Destination, FALSE, FALSE, 0);

	button_Annuler_Copie_Fichier = gtk_button_new_from_stock ("gtk-cancel");
	gtk_widget_show (button_Annuler_Copie_Fichier);
	gtk_box_pack_start (GTK_BOX (vbox_Copie_Fichier), button_Annuler_Copie_Fichier, TRUE, FALSE, 8);
	g_signal_connect ((gpointer) button_Annuler_Copie_Fichier, "clicked", G_CALLBACK (on_button_Annuler_Copie_Fichier_clicked), NULL);
}
