/* ***********************IMPORTANT *********************************************
 *  Copyright (C) 2004-2006 Thierry Lagarde <tlagarde@users.sourceforge.net>
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *
 *                      ********************
 *
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *
 *                      ********************
 *
 *
 * You are highly encouraged to send your changes to <tlagarde@users.sourceforge.net>
 * for possible incorporation into the main distribution.
 * By sending these changes to <tlagarde@users.sourceforge.net>,
 * it is assumed that you are offering <tlagarde@users.sourceforge.net>
 * the unlimited, non-exclusive right to reuse, modify, and relicense the code.
 *
 *
 *                      ********************
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 **************************************************************************************/
#include <gnome.h>

#include "Demarrage_Interface.h"
#include "../Declaration_Constante.h"
#include "../Animation.h"

GtkWidget *create_win_Demarrage (void)
{
	
	win_Demarrage = gtk_window_new (GTK_WINDOW_POPUP);
	gtk_widget_set_size_request (win_Demarrage, 350, 192);
	gtk_container_set_border_width (GTK_CONTAINER (win_Demarrage), 2);
	gtk_window_set_resizable (GTK_WINDOW (win_Demarrage), FALSE);
	gtk_window_set_decorated (GTK_WINDOW (win_Demarrage), FALSE);
	gtk_window_set_position (GTK_WINDOW (win_Demarrage), GTK_WIN_POS_CENTER);

	vbox_Demarrage = gtk_vbox_new (FALSE, 0);
	gtk_widget_show (vbox_Demarrage);
	gtk_container_add (GTK_CONTAINER (win_Demarrage), vbox_Demarrage);

	image_Demarrage = gtk_image_new_from_file (PATH_ICONE "eye-alien.png");
	gtk_widget_show (image_Demarrage);
	gtk_box_pack_start (GTK_BOX (vbox_Demarrage), image_Demarrage, TRUE, TRUE, 0);

	label_Demarrage = gtk_label_new (_("<span size='xx-large'><b> AutoScan </b>\n</span><span size='x-large'> A utility for network exploration</span>"));
	gtk_widget_show (label_Demarrage);
	gtk_box_pack_start (GTK_BOX (vbox_Demarrage), label_Demarrage, FALSE, FALSE, 7);
	gtk_label_set_use_markup (GTK_LABEL (label_Demarrage), TRUE);
	gtk_label_set_justify (GTK_LABEL (label_Demarrage), GTK_JUSTIFY_CENTER);

	progressbar_Demarrage = gtk_progress_bar_new ();
	gtk_widget_show (progressbar_Demarrage);
	gtk_box_pack_start (GTK_BOX (vbox_Demarrage), progressbar_Demarrage, FALSE, FALSE, 0);
	gtk_progress_bar_set_fraction (GTK_PROGRESS_BAR (progressbar_Demarrage), 0);
	gtk_progress_bar_set_pulse_step (GTK_PROGRESS_BAR (progressbar_Demarrage), 0);
	gtk_progress_bar_set_text (GTK_PROGRESS_BAR (progressbar_Demarrage), _("Loading ...."));
	gtk_widget_show (win_Demarrage);
	refresh ();
	return win_Demarrage;
}
