/* ***********************IMPORTANT *********************************************
 *  Copyright (C) 2004-2006 Thierry Lagarde <tlagarde@users.sourceforge.net>
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *
 *                      ********************
 *
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *
 *                      ********************
 *
 *
 * You are highly encouraged to send your changes to <tlagarde@users.sourceforge.net>
 * for possible incorporation into the main distribution.
 * By sending these changes to <tlagarde@users.sourceforge.net>,
 * it is assumed that you are offering <tlagarde@users.sourceforge.net>
 * the unlimited, non-exclusive right to reuse, modify, and relicense the code.
 *
 *
 *                      ********************
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 **************************************************************************************/
#ifndef         __MODULES
#define         __MODULES

enum {
	AUCUN_MODULES_SELECTIONNER = 0,
	MODULES_LISTE_PORTS,
	MODULES_PARTAGE_FICHIER_SMB,
	MODULES_PARTAGE_FICHIER_SMB_BROWSER,
	MODULES_NESSUS,
	MODULES_TELNET,
	MODULES_SSH,
	MODULES_SCRIPTS,
	MODULES_NET_SEND,
	MODULES_NESSUS_MESSAGE,
	MODULES_SNMP
};


guint     Modules_Actuel;
GtkWidget *Widget_Telnet;
GtkWidget *scrolledwindow_Vide;

void      Initialisation_Aucun_Module ();
void      Destruction_Modules ();
void      Initialisation_Partage_Fichier_Smb ();
void      Initialisation_Liste_ports ();
void      Initialisation_Modules ();
void      Initialisation_NetSend ();
void      Initialisation_Script ();
void      Initialisation_Nessus ();
void      Initialisation_Telnet ();
void      Initialisation_SSH ();
void      Initialisation_Partage_Fichier_Smb_Browser ();
void      Initialisation_Nessus_Message ();
void      Initialisation_Snmp ();
#endif
